Package uk.ac.starlink.topcat.plot2

# Interface MultiController.ControllerFactory<C>

Enclosing class:
  MultiController<C>

public static interface MultiController.ControllerFactory<C>
Defines how to interact with members of this class's controller type.

## Method Summary

Modifier and Type
Method
Description
`C`
`createController()`
Creates an instance of the controller.
`Configger`
`getConfigger(C controller)`
Returns an object capable of extraction configuration information from a controller instance.
`int`
`getControlCount()`
Returns the number of stack controls this controller manages.
`Control[]`
`getControls(C controller)`
Returns the stack controls associated with a controller instance.

## Method Details

### createController

C createController()
Creates an instance of the controller.

Returns:
  new controller

### getControlCount

int getControlCount()
Returns the number of stack controls this controller manages.

Returns:
  length of array returned by `getControls`

### getControls

Control[] getControls(C controller)
Returns the stack controls associated with a controller instance.

Parameters:
  `controller` - controller object

### getConfigger

Configger getConfigger(C controller)
Returns an object capable of extraction configuration information from a controller instance.

Parameters:
  `controller` - controller object